<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}Flask App{% endblock %}</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{{ url_for('static', filename='styles/styles.css') }}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.9.0/styles/default.min.css">



    {% block extra_styles %}{% endblock %}
</head>
<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand" >Projet de Bachelor</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="{{ url_for('home.home') }}">Upload</a>
                    </li>
                    <li class="nav-item">
                        {% if session.get('file_uploaded', False) %}
                        <a class="nav-link" href="{{ url_for('comparison.index') }}">Analyze</a>
                        {% endif %}
                    </li>
                    <li class="nav-item">
                        {% if session.get('file_uploaded', False) %}
                        <a class="nav-link" href="{{ url_for('dashboard.dashboard') }}">Dashboard</a>
                        {% endif %}
                    </li>
                    <li class="nav-item">
                        {% if session.get('file_uploaded', False) %}
                        <a class="nav-link" href="{{ url_for('feedback.feedback') }}">Generate Feedback</a>
                        {% endif %}
                    </li>
                    
                </ul>
                
            </div>
            <form action="{{ url_for('reset.reset') }}" method="post" class="ml-auto">
                <button type="submit" class="btn btn-danger">Reset</button>
            </form>
        </div>
    </nav>

    <div class="container mt-4">
        {% with messages = get_flashed_messages(with_categories=True) %}
            {% if messages %}

                {% for category, message in messages %}
                <div class="alert" style="background-color: #d9edf7; color: #31708f; padding: 10px; border-radius: 4px;">
                    {{ message }}
                </div>
                {% endfor %}
        
            {% endif %}
        {% endwith %}

        {% block content %}
        {% endblock %}
    </div>

    <!-- Bootstrap JS and dependencies -->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.min.js"></script>
    <!-- Chart.js -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js@4.2.1/dist/chart.umd.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>


    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.9.0/highlight.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.9.0/languages/scala.min.js"></script>
     <script>
    
            hljs.highlightAll();
       
      </script>

</body>
</html>
